#!/bin/bash

#set -e
set -u
#instalation des paquets
apt install -y  wget apache2 php php-gd php-mbstring php-xml

#srcipt installation
cd /tmp || return 
wget http://depl.sio.lan/store/dokuwiki-stable.tgz
tar xvfs dokuwiki-stable.tgz
mkdir /var/www/html/doku
if [[! -d dokuwiki-2020-07-29]] ; then
	echo"$0 : erreur version dokuwiki"
fi
cp -a dokuwiki-2020-07-29/* /var/www/html/doku
cd /var/www/html/doku || return
chown -R root:root .
chown -R www-data:www-data data lib conf

adresse=$(ip -br a|grep UP|awk '{print $3}t'|cut -f1 -d'/')
echo "installation du dokuwiki terminee.Conecter vous a l'adresse http://${adresse}/doku"

exit 0
